Skip to main content
POST
/
api
/
chunk_group
/
chunk
/
{group_id}
Add Chunk to Group
curl --request POST \
  --url https://api.trieve.ai/api/chunk_group/chunk/{group_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'TR-Dataset: <tr-dataset>' \
  --data '
{
  "chunk_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "chunk_tracking_id": "<string>"
}
'
import requests

url = "https://api.trieve.ai/api/chunk_group/chunk/{group_id}"

payload = {
    "chunk_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "chunk_tracking_id": "<string>"
}
headers = {
    "TR-Dataset": "<tr-dataset>",
    "Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'TR-Dataset': '<tr-dataset>',
    Authorization: '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    chunk_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
    chunk_tracking_id: '<string>'
  })
};

fetch('https://api.trieve.ai/api/chunk_group/chunk/{group_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "message": "Bad Request"
}

Authorizations

Authorization
string
header
required

Headers

TR-Dataset
string<uuid>
required

The dataset id or tracking_id to use for the request. We assume you intend to use an id if the value is a valid uuid.

Path Parameters

group_id
string<uuid>
required

Id of the group to add the chunk to as a bookmark

Body

application/json

JSON request payload to add a chunk to a group (bookmark it)

chunk_id
string<uuid> | null

Id of the chunk to make a member of the group.

chunk_tracking_id
string | null

Tracking Id of the chunk to make a member of the group.

Response

Confirmation that the chunk was added to the group (bookmark'ed).